#!/bin/bash
#Filename: check_versions.sh
#Date: 20180418
#Author: Andy Laughton
#Check for updates to installed SBo packages
#Date: 20190921
#Version: 0.2
#Changed the oputput to only show package,current version, new version so it
#can be parsed more easily by other scripts
#Initialise all variables
pkg=""
pkgname=""
pkgver=""
newver=""
#Check the fronty config file is present, if not exit
if [ ! -f /etc/fronty/fronty.conf ]; then
	echo "/etc/fronty/fronty.conf missing!  Exiting..."
	exit 1
fi
source /etc/fronty/fronty.conf
#Check the package versions
for pkg in $(ls /var/lib/pkgtools/packages | grep SBo | sort); do 
	pkgname=$(echo $pkg | rev | cut -f4- -d- | rev)
	#echo "pkgname : "$pkgname
	#libreoffice-langpack has _en_GB at the end so this is a quick fix
	if [ $pkgname = "libreoffice-langpack_en_GB" ]; then
		pkgname="libreoffice-langpack"
	fi
	#echo "pkgname : "$pkgname
	pkgver=$(echo $pkg | rev | cut -f3 -d- | rev)
	#echo "pkgver : "$pkgver
	newver=$(grep ,$pkgname, $config/category.apps.index | head -1 | cut -f3 -d,)
	#echo "newver : "$newver
        #check versions
	#echo "Pkg : "$pkg" pkgname : "$pkgname" Current : "$pkgver" New ver : "$newver
	if [ "$pkgver" != "$newver" ]; then
		echo $pkgname","$pkgver","$newver
	fi
done
#Set all variables to empty
pkg=""
pkgname=""
pkgver=""
newver=""
