#!/bin/bash
#Filename: get_deps.sh
#Date: 20190427
#Version: 0.1
#Author: Andy laughton
#Description:
#Get the dependencies for a package from $config/category.apps.deps
#Check the fronty config file exists, if not print an error and exit.
if [ ! -f /etc/fronty/fronty.conf ]; then
	echo "/etc/fronty/fronty.conf missing!  Exiting..."
	exit 1
fi
source /etc/fronty/fronty.conf

#Check a package name was passed to the script.
if [ -z $1 ]; then
	echo "Package name missing, exiting"
	exit 1
fi

pkgname=$1
progexists=$(grep ","$pkgname"," $config/category.apps.index)
if [ $? != 0 ]; then
	echo "Package does not exist or was misspelt"
	exit 2
fi

pkgdeps=$(grep ,$pkgname, $config/category.apps.deps | cut -f4 -d,)
#Sets the deps level needed for the package
if [ $(echo $pkgdeps | wc -c) -gt 2 ]; then
	echo $pkgdeps
fi
pkgname=""
pkgdeps=""
