#!/bin/bash
#Short script to get the info on a package,
#takes one argument, the package name.  If
#any of it's deps have deps they won't show, yet.
pkg=$1
if [ -z $pkg ]; then
	echo "Need a package name"
	exit 1
fi
#Get the apps category from category.apps first
#Get the values for dwnlddir and slackver - if the config file is missing, print
#an error and exit
if [ -f /etc/fronty/fronty.conf ]; then
	source /etc/fronty/fronty.conf
else
	echo "/etc/fronty/fronty.conf missing!  Exiting..."
	exit 1
fi
progcat=$(grep ","$pkg"," $config/category.apps.index)
if [ $? != 0 ]; then
	echo "Package does not exist or was misspelt"
	exit 2
fi
echo "progcat : "$progcat
progparams=$(grep $progcat $config/category.apps.data)
echo $progparams
