#!/bin/bash
#This is the script that will call the package upgrade script to upgrade installed 
#packages that have a new version available after build_category_apps_repo.sh has been run
#but only if AUTOUPDATE is set to 1 in /etc/fronty/fronty.conf
#Filename package_update_master.sh
#Date 20170213
#Version 0.1
#Author Andy Laughton
 
# Exit codes
# 0 - worked successfully
# 1 - config file missing
# 5 - compilation failed

if [ ! -f /etc/fronty/fronty.conf ]; then
	echo "Config file missing, exiting." >> $LOGFILE
	exit 1
fi

for PACKAGE in $(cat $SOURCE/updated_source.log); do
	if [ ! $(grep $PACKAGE /etc/fronty/fronty_blacklist ]; then
		PKGNAME=$(echo $PACKAGE | cut -f1 -d,)
		#OLDVERSION=$(echo $PACKAGE | cut -f2 -d,)
		#NEWVERSION=$(echo $PACKAGE | cut -f3 -d,)
		$SCRIPTS/update_package.sh $PKGNAME
	fi
done

