#!/bin/bash
# Name : remove_packages.sh
# Remove packages listed in a build script
# Author : Andy Laughton
# Date : 20180303

# Check a package name was given - this will be part of the build script name
if [ $1 == "" ]; then
	echo "No script name given, exiting"
	exit 1
else
	pkgname=$1".sh"
	echo $pkgname
fi

# If fronty.conf doesn't exist, print message and exit.
if [ ! -f /etc/fronty/fronty.conf ]; then
	echo "/etc/fronty/fronty.conf missing!  Exiting..."
	exit 1
else
	source /etc/fronty/fronty.conf
fi

# cd to the SCRIPTS dir
cd $SCRIPTS
echo $(pwd)
if [ ! -f "build_"$pkgname ]; then
	echo "Script build_"$pkgname" does not exist, exiting"
	exit 1
fi

# Script exists, now get the pkgs in it and remove them
for pkg in $(grep PROGS= "build"_$pkgname | rev | cut -b2- | rev | cut -b8-); do
	echo "Package : "$pkg
	if [ $(ls /var/log/packages|grep $pkg) ]; then
		removepkg $pkg
	else
		echo $pkg" not installed, skipping..."
	fi
done
