#!/bin/bash
#Filename mk_fronty_tgz.sh
#Author Andy Laughton
#Date 20180406
#Version 0.2
#version 0.2 - cut down tar command to tar up scripts in $BASEDIR, $SCRIPTS/ 
#Date: 20200302
#Version: 0.3 - changed name of build_repo.sh to download_repo.sh
#Script to generate a tgz file of various fronty files.
#and $CONFIG/*options
if [ ! -f /etc/fronty/fronty.conf ]; then
	echo "No fronty config file, exiting..."
	exit 1
fi
source /etc/fronty/fronty.conf
#Add the current date and time to the filename so we know which is the latest 
#plus earlier versions give a kind of version control.
dateandtime=$(date +%Y%m%d-%H%M%S)
tar -cvzf /tmp/fronty-$dateandtime.tgz /etc/fronty/\
    $basedir/update_repo.sh\
    $basedir/mk_frontytgz.sh\
    $scripts/\
    $config/*options\
    /etc/profile.d/fronty.sh\
    /etc/profile.d/fronty.csh\
    /etc/logrotate.d/fronty
echo
echo "File is /tmp/fronty-$dateandtime.tgz"
